Index: data/trunk/materials/scripts/3arrowsup.material
===================================================================
--- data/trunk/materials/scripts/3arrowsup.material	(revision 7114)
+++ data/trunk/materials/scripts/3arrowsup.material	(revision 7369)
@@ -11,5 +11,5 @@
 			texture_unit
 			{
-				texture 3arrowsup.tga
+				texture 3arrowsup.png
 			}
 		}
Index: data/trunk/materials/scripts/Arrow.material
===================================================================
--- data/trunk/materials/scripts/Arrow.material	(revision 7114)
+++ data/trunk/materials/scripts/Arrow.material	(revision 7369)
@@ -11,5 +11,5 @@
 			texture_unit
 			{
-				texture arrow.tga
+				texture arrow.png
 			}
 		}
Index: data/trunk/materials/scripts/Asterix.material
===================================================================
--- data/trunk/materials/scripts/Asterix.material	(revision 7114)
+++ data/trunk/materials/scripts/Asterix.material	(revision 7369)
@@ -11,5 +11,5 @@
 			texture_unit
 			{
-				texture asterix.tga
+				texture asterix.png
 			}
 		}
Index: data/trunk/materials/scripts/Banners.material
===================================================================
--- data/trunk/materials/scripts/Banners.material	(revision 7114)
+++ data/trunk/materials/scripts/Banners.material	(revision 7369)
@@ -29,5 +29,5 @@
 			texture_unit
 			{
-				texture Drone.png
+				texture DroneBanner.png
 			}
 		}
Index: data/trunk/materials/scripts/Bump_Specular.material
===================================================================
--- data/trunk/materials/scripts/Bump_Specular.material	(revision 7114)
+++ data/trunk/materials/scripts/Bump_Specular.material	(revision 7369)
@@ -65,5 +65,5 @@
 			texture_unit
 			{
-				texture nmnone.tga
+				texture nmnone.png
 				colour_op replace
 			}
@@ -71,5 +71,5 @@
 			texture_unit
 			{
-				cubic_texture nm.tga combinedUVW
+				cubic_texture nm.png combinedUVW
 				tex_coord_set 1
 				tex_address_mode clamp
@@ -78,5 +78,5 @@
 			texture_unit
 			{
-				cubic_texture nm.tga combinedUVW
+				cubic_texture nm.png combinedUVW
 				tex_coord_set 2
 				tex_address_mode clamp
@@ -154,5 +154,5 @@
 			texture_unit
 			{
-				texture nmnone.tga
+				texture nmnone.png
 				colour_op replace
 			}
@@ -160,5 +160,5 @@
 			texture_unit
 			{
-				cubic_texture nm.tga combinedUVW
+				cubic_texture nm.png combinedUVW
 				tex_coord_set 1
 				tex_address_mode clamp
Index: data/trunk/materials/scripts/Carrier.material
===================================================================
--- data/trunk/materials/scripts/Carrier.material	(revision 7114)
+++ data/trunk/materials/scripts/Carrier.material	(revision 7369)
@@ -65,5 +65,5 @@
 			texture_unit
 			{
-				texture glass01.jpg
+				texture glass01.png
 				tex_address_mode wrap
 				filtering trilinear
Index: data/trunk/materials/scripts/Cone.material
===================================================================
--- data/trunk/materials/scripts/Cone.material	(revision 7114)
+++ data/trunk/materials/scripts/Cone.material	(revision 7369)
@@ -11,5 +11,5 @@
 			texture_unit
 			{
-				texture OrxonoxGREEN.tga
+				texture OrxonoxGREEN.png
 				colour_op modulate
 			}
Index: data/trunk/materials/scripts/Console.material
===================================================================
--- data/trunk/materials/scripts/Console.material	(revision 7114)
+++ data/trunk/materials/scripts/Console.material	(revision 7369)
@@ -11,5 +11,5 @@
 			texture_unit
 			{
-				texture console2.tga
+				texture console2.png
 			}
 		}
@@ -29,5 +29,5 @@
 			texture_unit
 			{
-				texture console3.tga
+				texture console3.png
 			}
 		}
@@ -47,5 +47,5 @@
 			texture_unit
 			{
-				texture console4.tga
+				texture console4.png
 			}
 		}
@@ -65,5 +65,5 @@
 			texture_unit
 			{
-				texture console5.tga
+				texture console5.png
 			}
 		}
@@ -83,5 +83,5 @@
 			texture_unit
 			{
-				texture OrxonoxWhite.tga
+				texture OrxonoxWhite.png
 			}
 			texture_unit
Index: data/trunk/materials/scripts/Cross.material
===================================================================
--- data/trunk/materials/scripts/Cross.material	(revision 7114)
+++ data/trunk/materials/scripts/Cross.material	(revision 7369)
@@ -11,5 +11,5 @@
 			texture_unit
 			{
-				texture cross.tga
+				texture cross.png
 			}
 		}
Index: data/trunk/materials/scripts/Example.material
===================================================================
--- data/trunk/materials/scripts/Example.material	(revision 7114)
+++ data/trunk/materials/scripts/Example.material	(revision 7369)
@@ -14,5 +14,5 @@
 			texture_unit
 			{
-				texture spheremap.tga
+				texture spheremap.png
 				colour_op_ex add src_texture src_current
 				colour_op_multipass_fallback one one
@@ -32,5 +32,5 @@
 			texture_unit
 			{
-				texture ogrelogo.tga
+				texture ogrelogo.png
 			}
 		}
@@ -336,5 +336,5 @@
 			texture_unit
 			{
-				texture flare.tga
+				texture flare.png
 			}
 		}
@@ -353,5 +353,5 @@
 			texture_unit
 			{
-				texture flare2.tga
+				texture flare2.png
 			}
 		}
@@ -370,5 +370,5 @@
 			texture_unit
 			{
-				texture flare3.tga
+				texture flare3.png
 			}
 		}
@@ -387,5 +387,5 @@
 			texture_unit
 			{
-				texture flare2_1.tga
+				texture flare2_1.png
 			}
 		}
@@ -404,5 +404,5 @@
 			texture_unit
 			{
-				texture flaretrail.tga
+				texture flaretrail.png
 			}
 		}
@@ -425,5 +425,5 @@
 			texture_unit
 			{
-				texture flare.tga
+				texture flare.png
 			}
 		}
@@ -442,5 +442,5 @@
 			texture_unit
 			{
-				texture basic_droplet.tga
+				texture basic_droplet.png
 			}
 		}
@@ -456,5 +456,5 @@
 			texture_unit
 			{
-				texture dkyellow.tga
+				texture dkyellow.png
 			}
 		}
@@ -485,5 +485,5 @@
 			texture_unit
 			{
-				texture 10points.tga
+				texture 10points.png
 			}
 		}
@@ -527,5 +527,5 @@
 			texture_unit
 			{
-				texture steelhead.tga
+				texture steelhead.png
 			}
 		}
@@ -637,5 +637,5 @@
             texture_unit
             {
-                texture gras_02.tga 
+                texture gras_02.png 
             }
         }
@@ -653,5 +653,5 @@
             texture_unit
             {
-                texture gras_02.tga 
+                texture gras_02.png 
             }
         }
@@ -667,5 +667,5 @@
 			texture_unit
 			{
-				texture rockwall.tga
+				texture rockwall.png
 			}
 		}
@@ -686,5 +686,5 @@
 			texture_unit
 			{
-				texture aureola.tga PF_BYTE_LA
+				texture aureola.png PF_BYTE_LA
 				tex_address_mode clamp
 			}
@@ -775,5 +775,5 @@
 			texture_unit
 			{
-				texture RustyBarrel.tga
+				texture RustyBarrel.png
 				filtering trilinear
 			}
@@ -795,5 +795,5 @@
 			texture_unit
 			{
-				texture WoodPallet.tga
+				texture WoodPallet.png
 				filtering trilinear
 			}
@@ -814,5 +814,5 @@
 			texture_unit
 			{
-				texture ribbonband.tga 1d
+				texture ribbonband.png 1d
 				tex_address_mode clamp
 				filtering none
Index: data/trunk/materials/scripts/Eye.material
===================================================================
--- data/trunk/materials/scripts/Eye.material	(revision 7114)
+++ data/trunk/materials/scripts/Eye.material	(revision 7369)
@@ -11,5 +11,5 @@
 			texture_unit
 			{
-				texture eye.tga
+				texture eye.png
 			}
 		}
Index: data/trunk/materials/scripts/Flares.material
===================================================================
--- data/trunk/materials/scripts/Flares.material	(revision 7114)
+++ data/trunk/materials/scripts/Flares.material	(revision 7369)
@@ -15,5 +15,5 @@
 			texture_unit
 			{
-				texture flare.tga
+				texture flare.png
 			}
 		}
@@ -33,5 +33,5 @@
 			texture_unit
 			{
-				texture flare.tga
+				texture flare.png
 			}
 		}
@@ -51,5 +51,5 @@
 			texture_unit
 			{
-				texture ring_flare.tga
+				texture ring_flare.png
 			}
 		}
@@ -69,5 +69,5 @@
 			texture_unit
 			{
-				texture ring_flare2.tga
+				texture ring_flare2.png
 			}
 		}
@@ -87,5 +87,5 @@
 			texture_unit
 			{
-				texture flaretrail.tga
+				texture flaretrail.png
 			}
 		}
@@ -105,5 +105,5 @@
 			texture_unit
 			{
-				texture backlightflare.tga
+				texture backlightflare.png
 			}
 		}
@@ -123,5 +123,5 @@
 			texture_unit
 			{
-				texture bigflare1.tga
+				texture bigflare1.png
 			}
 		}
@@ -141,5 +141,5 @@
 			texture_unit
 			{
-				texture LightningBall_1.tga
+				texture LightningBall_1.png
 			}
 		}
@@ -159,5 +159,5 @@
 			texture_unit
 			{
-				texture LightningBall_2.tga
+				texture LightningBall_2.png
 			}
 		}
@@ -177,5 +177,5 @@
 			texture_unit
 			{
-				texture LightningBall_3.tga
+				texture LightningBall_3.png
 			}
 		}
@@ -195,5 +195,5 @@
 			texture_unit
 			{
-				texture LightningBall_4.tga
+				texture LightningBall_4.png
 			}
 		}
@@ -213,5 +213,5 @@
 			texture_unit
 			{
-				texture LightningBall_5.tga
+				texture LightningBall_5.png
 			}
 		}
@@ -231,5 +231,5 @@
 			texture_unit
 			{
-				texture LightningBall_6.tga
+				texture LightningBall_6.png
 			}
 		}
@@ -249,5 +249,5 @@
 			texture_unit
 			{
-				texture LightningBall_7.tga
+				texture LightningBall_7.png
 			}
 		}
@@ -267,7 +267,7 @@
 			texture_unit
 			{
-				texture LightningBall_8.tga
-			}
-		}
-	}
-}
+				texture LightningBall_8.png
+			}
+		}
+	}
+}
Index: data/trunk/materials/scripts/Glass.material
===================================================================
--- data/trunk/materials/scripts/Glass.material	(revision 7114)
+++ data/trunk/materials/scripts/Glass.material	(revision 7369)
@@ -31,5 +31,5 @@
 			texture_unit
 			{
-				texture WaterNormal1.tga 2d
+				texture WaterNormal1.png 2d
 				tex_coord_set 1
 				//tex_address_mode clamp
Index: data/trunk/materials/scripts/HXY.material
===================================================================
--- data/trunk/materials/scripts/HXY.material	(revision 7114)
+++ data/trunk/materials/scripts/HXY.material	(revision 7369)
@@ -40,5 +40,5 @@
 			texture_unit
 			{
-				texture PlasmaBlau.jpg
+				texture PlasmaBlau.png
 				tex_address_mode wrap
 				filtering trilinear
@@ -97,5 +97,5 @@
 			texture_unit
 			{
-				texture PlasmaBlau.jpg
+				texture PlasmaBlau.png
 				tex_address_mode wrap
 				filtering trilinear
@@ -363,5 +363,5 @@
 			texture_unit
 			{
-				texture plasmaSilver_Tube.tga
+				texture plasmaSilver_Tube.png
 				tex_address_mode wrap
 				filtering trilinear
Index: data/trunk/materials/scripts/LightningGun-s.material
===================================================================
--- data/trunk/materials/scripts/LightningGun-s.material	(revision 7114)
+++ data/trunk/materials/scripts/LightningGun-s.material	(revision 7369)
@@ -11,5 +11,5 @@
 			texture_unit
 			{
-				texture Lightning_gun4.tga
+				texture Lightning_gun4.png
 				colour_op modulate
 			}
Index: data/trunk/materials/scripts/LightningGun.material
===================================================================
--- data/trunk/materials/scripts/LightningGun.material	(revision 7114)
+++ data/trunk/materials/scripts/LightningGun.material	(revision 7369)
@@ -11,5 +11,5 @@
 			texture_unit
 			{
-				texture Lightning_gun4.tga
+				texture Lightning_gun4.png
 				colour_op modulate
 			}
Index: data/trunk/materials/scripts/Map.material
===================================================================
--- data/trunk/materials/scripts/Map.material	(revision 7114)
+++ data/trunk/materials/scripts/Map.material	(revision 7369)
@@ -12,5 +12,5 @@
 			texture_unit
 			{
-				texture mapgrid.tga
+				texture mapgrid.png
 			}
 		}
Index: data/trunk/materials/scripts/Ogre.material
===================================================================
--- data/trunk/materials/scripts/Ogre.material	(revision 7114)
+++ data/trunk/materials/scripts/Ogre.material	(revision 7369)
@@ -11,5 +11,5 @@
 			texture_unit
 			{
-				texture spheremap.tga
+				texture spheremap.png
 				colour_op_ex add src_texture src_current
 				colour_op_multipass_fallback one one
@@ -63,5 +63,5 @@
 			texture_unit
 			{
-				texture WeirdEye.tga
+				texture WeirdEye.png
 			}
 		}
@@ -78,5 +78,5 @@
 			texture_unit
 			{
-				texture cursor.tga
+				texture cursor.png
 				tex_address_mode clamp
 			}
@@ -96,5 +96,5 @@
 			texture_unit
 			{
-				texture ogreborder.tga
+				texture ogreborder.png
 			}
 		}
@@ -113,5 +113,5 @@
 			texture_unit
 			{
-				texture ogreborderUp.tga
+				texture ogreborderUp.png
 			}
 		}
Index: data/trunk/materials/scripts/OldMovie.material
===================================================================
--- data/trunk/materials/scripts/OldMovie.material	(revision 7114)
+++ data/trunk/materials/scripts/OldMovie.material	(revision 7369)
@@ -57,5 +57,5 @@
 			texture_unit SepiaTx
 			{
-				texture Sepia1D.tga 1d
+				texture Sepia1D.png 1d
 				tex_coord_set 3
 				tex_address_mode mirror
Index: data/trunk/materials/scripts/Orxonox.material
===================================================================
--- data/trunk/materials/scripts/Orxonox.material	(revision 7114)
+++ data/trunk/materials/scripts/Orxonox.material	(revision 7369)
@@ -11,5 +11,5 @@
 			texture_unit
 			{
-				texture bar2c.tga
+				texture bar2c.png
 			}
 		}
@@ -29,5 +29,5 @@
 			texture_unit
 			{
-				texture bar2b.tga
+				texture bar2b.png
 			}
 		}
@@ -47,5 +47,5 @@
 			texture_unit
 			{
-				texture bar2a.tga
+				texture bar2a.png
 			}
 		}
@@ -65,5 +65,5 @@
 			texture_unit
 			{
-				texture bar2.tga
+				texture bar2.png
 			}
 		}
@@ -83,5 +83,5 @@
 			texture_unit
 			{
-				texture OrxonoxBlack.tga
+				texture OrxonoxBlack.png
 			}
 		}
@@ -101,5 +101,5 @@
 			texture_unit
 			{
-				texture bar1.tga 2d 0 // no mipmapping
+				texture bar1.png 2d 0 // no mipmapping
 			}
 		}
@@ -119,5 +119,5 @@
 			texture_unit
 			{
-				texture healthbar_bg.tga 2d 0 // no mipmapping
+				texture healthbar_bg.png 2d 0 // no mipmapping
 			}
 		}
@@ -136,5 +136,5 @@
 			texture_unit
 			{
-				texture radar.tga
+				texture radar.png
 			}
 		}
@@ -154,5 +154,5 @@
 			texture_unit
 			{
-				texture RadarSquare.tga
+				texture RadarSquare.png
 			}
 		}
@@ -172,5 +172,5 @@
 			texture_unit
 			{
-				texture console2.tga
+				texture console2.png
 			}
 		}
@@ -190,5 +190,5 @@
 			texture_unit
 			{
-				texture OrxonoxWhite.tga
+				texture OrxonoxWhite.png
 			}
 		}
@@ -208,5 +208,5 @@
 			texture_unit
 			{
-				texture OrxonoxWhite.tga
+				texture OrxonoxWhite.png
 				colour_op_ex modulate src_manual src_current 0 1 0
 			}
@@ -227,5 +227,5 @@
 			texture_unit
 			{
-				texture arrows.tga
+				texture arrows.png
 			}
 		}
@@ -245,5 +245,5 @@
 			texture_unit
 			{
-				texture tdc.tga
+				texture tdc.png
 			}
 		}
@@ -263,5 +263,5 @@
 			texture_unit
 			{
-				texture crosshair2.tga
+				texture crosshair2.png
 			}
 		}
@@ -281,5 +281,5 @@
 			texture_unit
 			{
-				texture crosshair.tga
+				texture crosshair.png
 			}
 		}
Index: data/trunk/materials/scripts/OrxonoxSky.material
===================================================================
--- data/trunk/materials/scripts/OrxonoxSky.material	(revision 7114)
+++ data/trunk/materials/scripts/OrxonoxSky.material	(revision 7369)
@@ -82,5 +82,5 @@
 			texture_unit
 			{
-				cubic_texture bluestar.tga separateUV
+				cubic_texture bluestar.png separateUV
 				tex_address_mode clamp
 			}
Index: data/trunk/materials/scripts/PE_materials.material
===================================================================
--- data/trunk/materials/scripts/PE_materials.material	(revision 7114)
+++ data/trunk/materials/scripts/PE_materials.material	(revision 7369)
@@ -15,5 +15,5 @@
 			texture_unit
 			{
-				texture flare.tga
+				texture flare.png
 			}
 		}
@@ -33,5 +33,5 @@
 			texture_unit
 			{
-				texture flare.tga
+				texture flare.png
 			}
 		}
@@ -51,5 +51,5 @@
 			texture_unit
 			{
-				texture bigflame.tga
+				texture bigflame.png
 			}
 		}
@@ -69,5 +69,5 @@
 			texture_unit
 			{
-				texture smoke.tga
+				texture smoke.png
 			}
 		}
@@ -87,5 +87,5 @@
 			texture_unit
 			{
-				texture smoke2.tga
+				texture smoke2.png
 			}
 		}
@@ -105,5 +105,5 @@
 			texture_unit
 			{
-				texture smoke3.tga
+				texture smoke3.png
 			}
 		}
@@ -123,5 +123,5 @@
 			texture_unit
 			{
-				texture smoke4.tga
+				texture smoke4.png
 			}
 		}
@@ -141,5 +141,5 @@
 			texture_unit
 			{
-				texture explosion.tga
+				texture explosion.png
 			}
 		}
@@ -159,5 +159,5 @@
 			texture_unit
 			{
-				texture explosion3.tga
+				texture explosion3.png
 			}
 		}
@@ -177,5 +177,5 @@
 			texture_unit
 			{
-				texture ring_flare.tga
+				texture ring_flare.png
 			}
 		}
@@ -195,5 +195,5 @@
 			texture_unit
 			{
-				texture ring_flare2.tga
+				texture ring_flare2.png
 			}
 		}
@@ -213,5 +213,5 @@
 			texture_unit
 			{
-				texture flaretrail.tga
+				texture flaretrail.png
 			}
 		}
@@ -231,8 +231,8 @@
 			texture_unit
 			{
-				texture streak.tga
-			}
-		}
-	}
-}
-
+				texture streak.png
+			}
+		}
+	}
+}
+
Index: data/trunk/materials/scripts/Scene.material
===================================================================
--- data/trunk/materials/scripts/Scene.material	(revision 7114)
+++ data/trunk/materials/scripts/Scene.material	(revision 7369)
@@ -11,5 +11,5 @@
 			texture_unit
 			{
-				texture asteroid.tga
+				texture asteroid.png
 				colour_op modulate
 			}
Index: data/trunk/materials/scripts/Shield.material
===================================================================
--- data/trunk/materials/scripts/Shield.material	(revision 7114)
+++ data/trunk/materials/scripts/Shield.material	(revision 7369)
@@ -11,5 +11,5 @@
 			texture_unit
 			{
-				texture shield.tga
+				texture shield.png
 			}
 		}
Index: data/trunk/materials/scripts/Sphere2.material
===================================================================
--- data/trunk/materials/scripts/Sphere2.material	(revision 7114)
+++ data/trunk/materials/scripts/Sphere2.material	(revision 7369)
@@ -11,5 +11,5 @@
 			texture_unit
 			{
-				texture sphere.tga
+				texture sphere.png
 			}
 		}
Index: data/trunk/materials/scripts/Stats.material
===================================================================
--- data/trunk/materials/scripts/Stats.material	(revision 7114)
+++ data/trunk/materials/scripts/Stats.material	(revision 7369)
@@ -11,5 +11,5 @@
 			texture_unit
 			{
-				texture console2.tga
+				texture console2.png
 			}
 		}
@@ -29,5 +29,5 @@
 			texture_unit
 			{
-				texture console3.tga
+				texture console3.png
 			}
 		}
@@ -47,5 +47,5 @@
 			texture_unit
 			{
-				texture console4.tga
+				texture console4.png
 			}
 		}
@@ -65,5 +65,5 @@
 			texture_unit
 			{
-				texture console5.tga
+				texture console5.png
 			}
 		}
Index: data/trunk/materials/scripts/Test.material
===================================================================
--- data/trunk/materials/scripts/Test.material	(revision 7114)
+++ data/trunk/materials/scripts/Test.material	(revision 7369)
Index: data/trunk/materials/scripts/Trail.material
===================================================================
--- data/trunk/materials/scripts/Trail.material	(revision 7114)
+++ data/trunk/materials/scripts/Trail.material	(revision 7369)
@@ -12,5 +12,5 @@
 			texture_unit
 			{
-				texture backlighttrail.tga
+				texture backlighttrail.png
 			}
 		}
@@ -32,5 +32,5 @@
 			texture_unit
 			{
-				texture backlighttrail2.tga
+				texture backlighttrail2.png
 			}
 		}
Index: data/trunk/materials/scripts/Transporter.material
===================================================================
--- data/trunk/materials/scripts/Transporter.material	(revision 7114)
+++ data/trunk/materials/scripts/Transporter.material	(revision 7369)
@@ -115,5 +115,5 @@
 			texture_unit
 			{
-				texture PlasmaBlau.jpg
+				texture PlasmaBlau.png
 				tex_address_mode wrap
 				filtering trilinear
@@ -144,5 +144,5 @@
 			texture_unit
 			{
-				texture plasmaSilver_Tube.tga
+				texture plasmaSilver_Tube.png
 				tex_address_mode wrap
 				filtering trilinear
@@ -241,5 +241,5 @@
 			texture_unit
 			{
-				texture PlasmaBlau.jpg
+				texture PlasmaBlau.png
 				tex_address_mode wrap
 				filtering trilinear
Index: data/trunk/materials/scripts/assf.material
===================================================================
--- data/trunk/materials/scripts/assf.material	(revision 7114)
+++ data/trunk/materials/scripts/assf.material	(revision 7369)
@@ -9,5 +9,5 @@
 			texture_unit
 			{
-				texture human_assf.tga
+				texture human_assf.png
 			}
 		}
Index: data/trunk/materials/scripts/assf5.material
===================================================================
--- data/trunk/materials/scripts/assf5.material	(revision 7114)
+++ data/trunk/materials/scripts/assf5.material	(revision 7369)
@@ -9,5 +9,5 @@
 			texture_unit
 			{
-				texture human_assf5.tga
+				texture human_assf5.png
 			}
 		}
Index: data/trunk/materials/scripts/asteroid_ice.material
===================================================================
--- data/trunk/materials/scripts/asteroid_ice.material	(revision 7114)
+++ data/trunk/materials/scripts/asteroid_ice.material	(revision 7369)
@@ -13,5 +13,5 @@
 			texture_unit
 			{
-				texture asteroid_ice.tga
+				texture asteroid_ice.png
 				colour_op modulate
 			}
Index: data/trunk/materials/scripts/asteroids.material
===================================================================
--- data/trunk/materials/scripts/asteroids.material	(revision 7114)
+++ data/trunk/materials/scripts/asteroids.material	(revision 7369)
@@ -119,5 +119,5 @@
 			texture_unit
 			{
-				texture nmrock.tga
+				texture nmrock.png
 				colour_op replace
 			}
@@ -125,5 +125,5 @@
 			texture_unit
 			{
-				cubic_texture nm.tga combinedUVW
+				cubic_texture nm.png combinedUVW
 				tex_coord_set 1
 				tex_address_mode clamp
@@ -132,5 +132,5 @@
 			texture_unit
 			{
-				cubic_texture nm.tga combinedUVW
+				cubic_texture nm.png combinedUVW
 				tex_coord_set 2
 				tex_address_mode clamp
@@ -154,5 +154,5 @@
 			texture_unit
 			{
-				texture rock.tga
+				texture rock.png
 			}
 
@@ -206,5 +206,5 @@
 			texture_unit
 			{
-				texture nmrock.tga
+				texture nmrock.png
 				colour_op replace
 			}
@@ -212,5 +212,5 @@
 			texture_unit
 			{
-				cubic_texture nm.tga combinedUVW
+				cubic_texture nm.png combinedUVW
 				tex_coord_set 1
 				tex_address_mode clamp
@@ -236,14 +236,14 @@
 			texture_unit
 			{
-				texture rock.tga
-			}
-
-		}
-
-	}
-
-
-}
-
-
-
+				texture rock.png
+			}
+
+		}
+
+	}
+
+
+}
+
+
+
Index: data/trunk/materials/scripts/can.material
===================================================================
--- data/trunk/materials/scripts/can.material	(revision 7114)
+++ data/trunk/materials/scripts/can.material	(revision 7369)
@@ -11,5 +11,5 @@
 			texture_unit
 			{
-				texture can.tga
+				texture can.png
 				colour_op modulate
 			}
Index: data/trunk/materials/scripts/crate.material
===================================================================
--- data/trunk/materials/scripts/crate.material	(revision 7114)
+++ data/trunk/materials/scripts/crate.material	(revision 7369)
@@ -12,5 +12,5 @@
 			texture_unit
 			{
-				texture crate.tga
+				texture crate.png
 			}
 		}
Index: data/trunk/materials/scripts/cube.material
===================================================================
--- data/trunk/materials/scripts/cube.material	(revision 7114)
+++ data/trunk/materials/scripts/cube.material	(revision 7369)
@@ -11,5 +11,5 @@
 			texture_unit
 			{
-				texture OrxonoxYELLOW.tga
+				texture OrxonoxYELLOW.png
 				colour_op modulate
 			}
@@ -37,5 +37,5 @@
 			texture_unit
 			{
-				texture OrxonoxGREEN.tga
+				texture OrxonoxGREEN.png
 				colour_op modulate
 			}
@@ -63,5 +63,5 @@
 			texture_unit
 			{
-				texture OrxonoxRED.tga
+				texture OrxonoxRED.png
 				colour_op modulate
 			}
@@ -89,5 +89,5 @@
 			texture_unit
 			{
-				texture OrxonoxORANGE.tga
+				texture OrxonoxORANGE.png
 				colour_op modulate
 			}
Index: data/trunk/materials/scripts/drone.material
===================================================================
--- data/trunk/materials/scripts/drone.material	(revision 7114)
+++ data/trunk/materials/scripts/drone.material	(revision 7369)
@@ -7,5 +7,5 @@
 			texture_unit
 			{
-				texture drone.tga
+				texture drone.png
 			}
 		}
Index: data/trunk/materials/scripts/h2_green.material
===================================================================
--- data/trunk/materials/scripts/h2_green.material	(revision 7114)
+++ data/trunk/materials/scripts/h2_green.material	(revision 7369)
@@ -11,5 +11,5 @@
 			texture_unit
 			{
-				texture final_gold.tga
+				texture final_gold.png
 				colour_op modulate
 			}
Index: data/trunk/materials/scripts/hoover.material
===================================================================
--- data/trunk/materials/scripts/hoover.material	(revision 7114)
+++ data/trunk/materials/scripts/hoover.material	(revision 7369)
@@ -7,5 +7,5 @@
 			texture_unit
 			{
-				texture hoover_turbine.tga
+				texture hoover_turbine.png
 			}
 		}
@@ -20,5 +20,5 @@
 			texture_unit
 			{
-				texture hoover_gear.tga
+				texture hoover_gear.png
 			}
 		}
@@ -33,5 +33,5 @@
 			texture_unit
 			{
-				texture hoover_body.tga
+				texture hoover_body.png
 			}
 		}
Index: data/trunk/materials/scripts/hs-w01.material
===================================================================
--- data/trunk/materials/scripts/hs-w01.material	(revision 7114)
+++ data/trunk/materials/scripts/hs-w01.material	(revision 7369)
@@ -11,5 +11,5 @@
 			texture_unit
 			{
-				texture hs-w01.tga
+				texture hs-w01.png
 				colour_op modulate
 			}
@@ -36,5 +36,5 @@
 			texture_unit
 			{
-				texture hs-w01.tga
+				texture hs-w01.png
 				colour_op modulate
 			}
Index: data/trunk/materials/scripts/hs-w01s.material
===================================================================
--- data/trunk/materials/scripts/hs-w01s.material	(revision 7114)
+++ data/trunk/materials/scripts/hs-w01s.material	(revision 7369)
@@ -11,5 +11,5 @@
 			texture_unit
 			{
-				texture hs-w01s.tga
+				texture hs-w01s.png
 				colour_op modulate
 			}
Index: data/trunk/materials/scripts/iceplanet.material
===================================================================
--- data/trunk/materials/scripts/iceplanet.material	(revision 7114)
+++ data/trunk/materials/scripts/iceplanet.material	(revision 7369)
@@ -12,5 +12,5 @@
 			texture_unit
 			{
-				texture iceplanet.tga
+				texture iceplanet.png
 				tex_address_mode wrap
 				filtering trilinear
Index: data/trunk/materials/scripts/laserbeam.material
===================================================================
--- data/trunk/materials/scripts/laserbeam.material	(revision 7114)
+++ data/trunk/materials/scripts/laserbeam.material	(revision 7369)
@@ -10,5 +10,5 @@
 			texture_unit
 			{
-				texture laserbeam.tga
+				texture laserbeam.png
 				colour_op modulate
 			}
Index: data/trunk/materials/scripts/planet.material
===================================================================
--- data/trunk/materials/scripts/planet.material	(revision 7114)
+++ data/trunk/materials/scripts/planet.material	(revision 7369)
@@ -41,5 +41,5 @@
 			texture_unit
 			{
-				texture atmospheretype3.tga
+				texture atmospheretype3.png
 			}			
 		}
@@ -62,5 +62,5 @@
 			texture_unit
 			{
-				texture atmospheretype1.tga
+				texture atmospheretype1.png
 			}			
 		}
Index: data/trunk/materials/scripts/rock.material
===================================================================
--- data/trunk/materials/scripts/rock.material	(revision 7114)
+++ data/trunk/materials/scripts/rock.material	(revision 7369)
@@ -10,5 +10,5 @@
 			texture_unit
 			{
-				texture rock.tga
+				texture rock.png
 			}
 		}
Index: data/trunk/materials/scripts/spacecruiser.material
===================================================================
--- data/trunk/materials/scripts/spacecruiser.material	(revision 7114)
+++ data/trunk/materials/scripts/spacecruiser.material	(revision 7369)
@@ -9,5 +9,5 @@
 			texture_unit
 			{
-				texture spacesruiser.tga
+				texture spacesruiser.png
 			}
 		}
Index: data/trunk/materials/scripts/sphere.material
===================================================================
--- data/trunk/materials/scripts/sphere.material	(revision 7114)
+++ data/trunk/materials/scripts/sphere.material	(revision 7369)
@@ -11,5 +11,5 @@
 			texture_unit
 			{
-				texture OrxonoxRED.tga
+				texture OrxonoxRED.png
 				colour_op modulate
 			}
Index: data/trunk/materials/scripts/starship.material
===================================================================
--- data/trunk/materials/scripts/starship.material	(revision 7114)
+++ data/trunk/materials/scripts/starship.material	(revision 7369)
@@ -8,5 +8,5 @@
 			texture_unit
 			{
-				texture starship.tga
+				texture starship.png
 			}
 		}
Index: data/trunk/materials/scripts/swallow_material.material
===================================================================
--- data/trunk/materials/scripts/swallow_material.material	(revision 7114)
+++ data/trunk/materials/scripts/swallow_material.material	(revision 7369)
@@ -11,5 +11,5 @@
 			texture_unit
 			{
-				texture swallow_tex.tga
+				texture swallow_tex.png
 				colour_op modulate
 			}