Index: /branches/atmospheric_engine/src/defs/class_id.h
===================================================================
--- /branches/atmospheric_engine/src/defs/class_id.h	(revision 7380)
+++ /branches/atmospheric_engine/src/defs/class_id.h	(revision 7381)
@@ -287,6 +287,6 @@
 
   //CL_ATMOSPHERIC_ENGINE         =    0x        ,
-  //CL_SUN_EFFECTS                =    0x        ,
-  //CL_WEATHER_EFFECTS            =    0x        ,
+  //CL_SUN_EFFECT                 =    0x        ,
+  //CL_WEATHER_EFFECT             =    0x        ,
 
   // Particles
Index: /branches/atmospheric_engine/src/lib/graphics/Makefile.am
===================================================================
--- /branches/atmospheric_engine/src/lib/graphics/Makefile.am	(revision 7380)
+++ /branches/atmospheric_engine/src/lib/graphics/Makefile.am	(revision 7381)
@@ -18,6 +18,6 @@
 			   effects/graphics_effect.cc \
 			   effects/atmospheric_engine.cc \
-			   effects/weather_effects.cc \
-			   effects/sun_effects.cc \
+			   effects/weather_effect.cc \
+			   effects/sun_effect.cc \
 			   effects/fog_effect.cc \
 			   effects/lense_flare.cc
@@ -39,6 +39,6 @@
 		 effects/graphics_effect.h \
 		 effects/atmospheric_engine.h \
-		 effects/weather_effects.h \
-		 effects/sun_effects.h \
+		 effects/weather_effect.h \
+		 effects/sun_effect.h \
 		 effects/fog_effect.h \
 		 effects/lense_flare.h
Index: /branches/atmospheric_engine/src/lib/graphics/effects/atmospheric_engine.cc
===================================================================
--- /branches/atmospheric_engine/src/lib/graphics/effects/atmospheric_engine.cc	(revision 7380)
+++ /branches/atmospheric_engine/src/lib/graphics/effects/atmospheric_engine.cc	(revision 7381)
@@ -18,8 +18,5 @@
 #include "util/loading/resource_manager.h"
 
-
 #include "effects/fog_effect.h"
-
-
 
 #include "util/loading/load_param.h"
@@ -61,6 +58,6 @@
 void AtmosphericEngine::loadParams(const TiXmlElement* root)
 {
-  LoadParamXML(root, "WeatherEffects", this, AtmosphericEngine, loadWeatherEffects);
-  LoadParamXML(root, "SunEffects", this, AtmosphericEngine, loadSunEffects);
+  LoadParamXML(root, "WeatherEffect", this, AtmosphericEngine, loadWeatherEffect);
+  LoadParamXML(root, "SunEffect", this, AtmosphericEngine, loadSunEffect);
 }
 
@@ -68,5 +65,5 @@
  * @param root The XML-element to load WeatherEffects from
  */
-void AtmosphericEngine::loadWeatherEffects(const TiXmlElement* root)
+void AtmosphericEngine::loadWeatherEffect(const TiXmlElement* root)
 {
   LOAD_PARAM_START_CYCLE(root, element);
@@ -81,5 +78,5 @@
  * @param root The XML-element to load SunEffects from
  */
-void AtmosphericEngine::loadSunEffects(const TiXmlElement* root)
+void AtmosphericEngine::loadSunEffect(const TiXmlElement* root)
 {
   LOAD_PARAM_START_CYCLE(root, element);
Index: /branches/atmospheric_engine/src/lib/graphics/effects/atmospheric_engine.h
===================================================================
--- /branches/atmospheric_engine/src/lib/graphics/effects/atmospheric_engine.h	(revision 7380)
+++ /branches/atmospheric_engine/src/lib/graphics/effects/atmospheric_engine.h	(revision 7381)
@@ -32,6 +32,6 @@
     inline bool isActivated() const { return this->bActivated; }
 
-    void loadWeatherEffects(const TiXmlElement* root);
-    void loadSunEffects(const TiXmlElement* root);
+    void loadWeatherEffect(const TiXmlElement* root);
+    void loadSunEffect(const TiXmlElement* root);
 
   private:
Index: /branches/atmospheric_engine/src/lib/graphics/effects/fog_effect.cc
===================================================================
--- /branches/atmospheric_engine/src/lib/graphics/effects/fog_effect.cc	(revision 7380)
+++ /branches/atmospheric_engine/src/lib/graphics/effects/fog_effect.cc	(revision 7381)
@@ -52,5 +52,5 @@
 void FogEffect::loadParams(const TiXmlElement* root)
 {
-  WeatherEffects::loadParams(root);
+  WeatherEffect::loadParams(root);
 
 /*
Index: /branches/atmospheric_engine/src/lib/graphics/effects/fog_effect.h
===================================================================
--- /branches/atmospheric_engine/src/lib/graphics/effects/fog_effect.h	(revision 7380)
+++ /branches/atmospheric_engine/src/lib/graphics/effects/fog_effect.h	(revision 7381)
@@ -6,7 +6,7 @@
 #define _FOG_EFFECT
 
-#include "weather_effects.h"
+#include "weather_effect.h"
 
-class FogEffect : public WeatherEffects
+class FogEffect : public WeatherEffect
 {
   public:
Index: /branches/atmospheric_engine/src/lib/graphics/effects/sun_effect.cc
===================================================================
--- /branches/atmospheric_engine/src/lib/graphics/effects/sun_effect.cc	(revision 7381)
+++ /branches/atmospheric_engine/src/lib/graphics/effects/sun_effect.cc	(revision 7381)
@@ -0,0 +1,76 @@
+
+
+/*
+   orxonox - the future of 3D-vertical-scrollers
+
+   Copyright (C) 2004 orx
+
+   This program is free software; you can redistribute it and/or modify
+   it under the terms of the GNU General Public License as published by
+   the Free Software Foundation; either version 2, or (at your option)
+   any later version.
+
+### File Specific:
+   main-programmer: hdavid, amaechler
+*/
+
+
+#include "sun_effect.h"
+
+#include "util/loading/load_param.h"
+
+
+using namespace std;
+
+
+
+/**
+ * @param root The XML-element to load the SunEffect from
+ */
+SunEffect::SunEffect(const TiXmlElement* root)
+{
+  //this->setClassID(CL_SUN_EFFECT, "SunEffect");
+  this->bActivated = false;
+}
+
+
+/**
+ *  destroys a SunEffect
+ */
+SunEffects::~SunEffect()
+{
+
+}
+
+
+/**
+ * @param root The XML-element to load the SunEffect from
+ */
+void SunEffect::loadParams(const TiXmlElement* root)
+{
+  BaseObject::loadParams(root);
+}
+
+
+/**
+ *  initializes the graphics effect
+ */
+bool SunEffect::init()
+{}
+
+
+
+/**
+ * draws the effect, if needed
+ */
+void SunEffect::draw() const
+{}
+
+
+
+/**
+ * ticks the effect if there is any time dependancy
+ */
+void SunEffect::tick(float dt)
+{}
+
Index: /branches/atmospheric_engine/src/lib/graphics/effects/sun_effect.h
===================================================================
--- /branches/atmospheric_engine/src/lib/graphics/effects/sun_effect.h	(revision 7381)
+++ /branches/atmospheric_engine/src/lib/graphics/effects/sun_effect.h	(revision 7381)
@@ -0,0 +1,37 @@
+/*!
+ * @file sun_effect.h
+ *  
+ */
+
+#ifndef _SUN_EFFECT_H
+#define _SUN_EFFECT_H
+
+#include "base_object.h"
+
+
+class TiXmlElement;
+
+class SunEffect : public BaseObject
+{
+  public:
+    SunEffect(const TiXmlElement* root = NULL);
+    virtual ~SunEffect();
+
+    virtual void loadParams(const TiXmlElement* root);
+
+    virtual bool init();
+
+    virtual bool activate() = 0;
+    virtual bool deactivate() = 0;
+
+    virtual void draw() const;
+    virtual void tick(float dt);
+
+    inline bool isActivated() const { return this->bActivated; }
+
+  protected:
+    bool              bActivated;
+};
+
+
+#endif /* _SUN_EFFECT */
Index: anches/atmospheric_engine/src/lib/graphics/effects/sun_effects.cc
===================================================================
--- /branches/atmospheric_engine/src/lib/graphics/effects/sun_effects.cc	(revision 7380)
+++ 	(revision )
@@ -1,78 +1,0 @@
-
-
-/*
-   orxonox - the future of 3D-vertical-scrollers
-
-   Copyright (C) 2004 orx
-
-   This program is free software; you can redistribute it and/or modify
-   it under the terms of the GNU General Public License as published by
-   the Free Software Foundation; either version 2, or (at your option)
-   any later version.
-
-### File Specific:
-   main-programmer: Patrick Boenzli
-*/
-
-
-#include "sun_effects.h"
-
-#include "util/loading/load_param.h"
-
-
-using namespace std;
-
-
-
-/**
- * @param root The XML-element to load the SunEffects from
-
-  @todo what to do, if no SunEffects-Slots are open anymore ???
- */
-SunEffects::SunEffects(const TiXmlElement* root)
-{
-  //this->setClassID(CL_GRAPHICS_EFFECT, "SunEffects");
-  this->bActivated = false;
-}
-
-
-/**
- *  destroys a SunEffects
- */
-SunEffects::~SunEffects()
-{
-
-}
-
-
-/**
- * @param root The XML-element to load the SunEffects from
- */
-void SunEffects::loadParams(const TiXmlElement* root)
-{
-  BaseObject::loadParams(root);
-}
-
-
-/**
- *  initializes the graphics effect
- */
-bool SunEffects::init()
-{}
-
-
-
-/**
- * draws the effect, if needed
- */
-void SunEffects::draw() const
-{}
-
-
-
-/**
- * ticks the effect if there is any time dependancy
- */
-void SunEffects::tick(float dt)
-{}
-
Index: anches/atmospheric_engine/src/lib/graphics/effects/sun_effects.h
===================================================================
--- /branches/atmospheric_engine/src/lib/graphics/effects/sun_effects.h	(revision 7380)
+++ 	(revision )
@@ -1,37 +1,0 @@
-/*!
- * @file sun_effects.h
- *  
- */
-
-#ifndef _SUN_EFFECTS_H
-#define _SUN_EFFECTS_H
-
-#include "base_object.h"
-
-
-class TiXmlElement;
-
-class SunEffects : public BaseObject
-{
-  public:
-    SunEffects(const TiXmlElement* root = NULL);
-    virtual ~SunEffects();
-
-    virtual void loadParams(const TiXmlElement* root);
-
-    virtual bool init();
-
-    virtual bool activate() = 0;
-    virtual bool deactivate() = 0;
-
-    virtual void draw() const;
-    virtual void tick(float dt);
-
-    inline bool isActivated() const { return this->bActivated; }
-
-  protected:
-    bool              bActivated;
-};
-
-
-#endif /* _SUN_EFFECTS */
Index: /branches/atmospheric_engine/src/lib/graphics/effects/weather_effect.cc
===================================================================
--- /branches/atmospheric_engine/src/lib/graphics/effects/weather_effect.cc	(revision 7381)
+++ /branches/atmospheric_engine/src/lib/graphics/effects/weather_effect.cc	(revision 7381)
@@ -0,0 +1,74 @@
+
+
+/*
+   orxonox - the future of 3D-vertical-scrollers
+
+   Copyright (C) 2004 orx
+
+   This program is free software; you can redistribute it and/or modify
+   it under the terms of the GNU General Public License as published by
+   the Free Software Foundation; either version 2, or (at your option)
+   any later version.
+
+### File Specific:
+   main-programmer: hdavid, amaechler
+*/
+
+
+#include "weather_effect.h"
+#include "util/loading/load_param.h"
+
+
+using namespace std;
+
+
+/**
+ * @param root The XML-element to load the WeatherEffect from
+ */
+WeatherEffects::WeatherEffect(const TiXmlElement* root)
+{
+  // this->setClassID(CL_WEATHER_EFFECT, "WeatherEffect");
+  this->bActivated = false;
+}
+
+
+/**
+ *  destroys a WeatherEffects
+ */
+WeatherEffects::~WeatherEffect()
+{
+
+}
+
+
+/**
+ * @param root The XML-element to load the WeatherEffects from
+ */
+void WeatherEffect::loadParams(const TiXmlElement* root)
+{
+  BaseObject::loadParams(root);
+}
+
+
+/**
+ *  initializes the graphics effect
+ */
+bool WeatherEffect::init()
+{}
+
+
+
+/**
+ * draws the effect, if needed
+ */
+void WeatherEffect::draw() const
+{}
+
+
+
+/**
+ * ticks the effect if there is any time dependancy
+ */
+void WeatherEffects::tick(float dt)
+{}
+
Index: /branches/atmospheric_engine/src/lib/graphics/effects/weather_effect.h
===================================================================
--- /branches/atmospheric_engine/src/lib/graphics/effects/weather_effect.h	(revision 7381)
+++ /branches/atmospheric_engine/src/lib/graphics/effects/weather_effect.h	(revision 7381)
@@ -0,0 +1,36 @@
+/*!
+ * @file weather_effect.h
+ *  
+ */
+
+#ifndef _WEATHER_EFFECT_H
+#define _WEATHER_EFFECT_H
+
+#include "base_object.h"
+
+
+class WeatherEffects : public BaseObject
+{
+  public:
+    WeatherEffects(const TiXmlElement* root = NULL);
+    virtual ~WeatherEffect();
+
+    virtual void loadParams(const TiXmlElement* root);
+
+    virtual bool init();
+
+    virtual bool activate() = 0;
+    virtual bool deactivate() = 0;
+
+    virtual void draw() const;
+    virtual void tick(float dt);
+
+    inline bool isActivated() const { return this->bActivated; }
+
+
+  protected:
+    bool              bActivated;
+};
+
+
+#endif /* _WEATHER_EFFECT */
Index: anches/atmospheric_engine/src/lib/graphics/effects/weather_effects.cc
===================================================================
--- /branches/atmospheric_engine/src/lib/graphics/effects/weather_effects.cc	(revision 7380)
+++ 	(revision )
@@ -1,74 +1,0 @@
-
-
-/*
-   orxonox - the future of 3D-vertical-scrollers
-
-   Copyright (C) 2004 orx
-
-   This program is free software; you can redistribute it and/or modify
-   it under the terms of the GNU General Public License as published by
-   the Free Software Foundation; either version 2, or (at your option)
-   any later version.
-
-### File Specific:
-   main-programmer: hdavid, amaechler
-*/
-
-
-#include "weather_effects.h"
-#include "util/loading/load_param.h"
-
-
-using namespace std;
-
-
-/**
- * @param root The XML-element to load the WeatherEffects from
- */
-WeatherEffects::WeatherEffects(const TiXmlElement* root)
-{
-  // this->setClassID(CL_WEATHER_EFFECTS, "WeatherEffects");
-  this->bActivated = false;
-}
-
-
-/**
- *  destroys a WeatherEffects
- */
-WeatherEffects::~WeatherEffects()
-{
-
-}
-
-
-/**
- * @param root The XML-element to load the WeatherEffects from
- */
-void WeatherEffects::loadParams(const TiXmlElement* root)
-{
-  BaseObject::loadParams(root);
-}
-
-
-/**
- *  initializes the graphics effect
- */
-bool WeatherEffects::init()
-{}
-
-
-
-/**
- * draws the effect, if needed
- */
-void WeatherEffects::draw() const
-{}
-
-
-
-/**
- * ticks the effect if there is any time dependancy
- */
-void WeatherEffects::tick(float dt)
-{}
-
Index: anches/atmospheric_engine/src/lib/graphics/effects/weather_effects.h
===================================================================
--- /branches/atmospheric_engine/src/lib/graphics/effects/weather_effects.h	(revision 7380)
+++ 	(revision )
@@ -1,36 +1,0 @@
-/*!
- * @file weather_effects.h
- *  
- */
-
-#ifndef _WEATHER_EFFECTS_H
-#define _WEATHER_EFFECTS_H
-
-#include "base_object.h"
-
-
-class WeatherEffects : public BaseObject
-{
-  public:
-    WeatherEffects(const TiXmlElement* root = NULL);
-    virtual ~WeatherEffects();
-
-    virtual void loadParams(const TiXmlElement* root);
-
-    virtual bool init();
-
-    virtual bool activate() = 0;
-    virtual bool deactivate() = 0;
-
-    virtual void draw() const;
-    virtual void tick(float dt);
-
-    inline bool isActivated() const { return this->bActivated; }
-
-
-  protected:
-    bool              bActivated;
-};
-
-
-#endif /* _WEATHER_EFFECTS */