Index: code/branches/ipv6/src/external/enet/Makefile.am
===================================================================
--- code/branches/ipv6/src/external/enet/Makefile.am	(revision 7381)
+++ 	(revision )
@@ -1,22 +1,0 @@
-pkgconfigdir = $(libdir)/pkgconfig
-nodist_pkgconfig_DATA = libenet.pc
-
-enetincludedir=$(includedir)/enet
-enetinclude_HEADERS = \
-	include/enet/callbacks.h \
-	include/enet/enet.h \
-	include/enet/list.h \
-	include/enet/protocol.h \
-	include/enet/time.h \
-	include/enet/types.h \
-	include/enet/unix.h \
-	include/enet/utility.h \
-	include/enet/win32.h
-
-lib_LTLIBRARIES = libenet.la
-libenet_la_SOURCES = callbacks.c compress.c host.c list.c packet.c peer.c protocol.c unix.c win32.c
-# see info '(libtool) Updating version info' before making a release
-libenet_la_LDFLAGS = $(AM_LDFLAGS) -version-info 1:0:0
-INCLUDES = -Iinclude
-
-ACLOCAL_AMFLAGS = -Im4
Index: code/branches/ipv6/src/external/enet/configure.ac
===================================================================
--- code/branches/ipv6/src/external/enet/configure.ac	(revision 7381)
+++ 	(revision )
@@ -1,29 +1,0 @@
-AC_INIT([libenet], [1.3.0])
-AC_CONFIG_SRCDIR([include/enet/enet.h])
-AM_INIT_AUTOMAKE([foreign])
-
-AC_CONFIG_MACRO_DIR([m4])
-
-AC_PROG_CC
-AC_PROG_LIBTOOL
-
-AC_CHECK_FUNC(gethostbyaddr_r, [AC_DEFINE(HAS_GETHOSTBYADDR_R)])
-AC_CHECK_FUNC(gethostbyname_r, [AC_DEFINE(HAS_GETHOSTBYNAME_R)])
-AC_CHECK_FUNC(poll, [AC_DEFINE(HAS_POLL)])
-AC_CHECK_FUNC(fcntl, [AC_DEFINE(HAS_FCNTL)])
-AC_CHECK_FUNC(inet_pton, [AC_DEFINE(HAS_INET_PTON)])
-AC_CHECK_FUNC(inet_ntop, [AC_DEFINE(HAS_INET_NTOP)])
-
-AC_CHECK_MEMBER(struct msghdr.msg_flags, [AC_DEFINE(HAS_MSGHDR_FLAGS)], , [#include <sys/socket.h>])
-
-AC_CHECK_TYPE(socklen_t, [AC_DEFINE(HAS_SOCKLEN_T)], , 
-              #include <sys/types.h>
-              #include <sys/socket.h>
-)
-
-AC_EGREP_HEADER(MSG_MAXIOVLEN, /usr/include/sys/socket.h, AC_DEFINE(ENET_BUFFER_MAXIMUM, [MSG_MAXIOVLEN]))
-AC_EGREP_HEADER(MSG_MAXIOVLEN, socket.h, AC_DEFINE(ENET_BUFFER_MAXIMUM, [MSG_MAXIOVLEN]))
-
-AC_CONFIG_FILES([Makefile
-	libenet.pc])
-AC_OUTPUT
Index: code/branches/ipv6/src/external/enet/enet.dsp
===================================================================
--- code/branches/ipv6/src/external/enet/enet.dsp	(revision 7381)
+++ 	(revision )
@@ -1,168 +1,0 @@
-# Microsoft Developer Studio Project File - Name="enet" - Package Owner=<4>
-# Microsoft Developer Studio Generated Build File, Format Version 6.00
-# ** DO NOT EDIT **
-
-# TARGTYPE "Win32 (x86) Static Library" 0x0104
-
-CFG=enet - Win32 Debug
-!MESSAGE This is not a valid makefile. To build this project using NMAKE,
-!MESSAGE use the Export Makefile command and run
-!MESSAGE 
-!MESSAGE NMAKE /f "enet.mak".
-!MESSAGE 
-!MESSAGE You can specify a configuration when running NMAKE
-!MESSAGE by defining the macro CFG on the command line. For example:
-!MESSAGE 
-!MESSAGE NMAKE /f "enet.mak" CFG="enet - Win32 Debug"
-!MESSAGE 
-!MESSAGE Possible choices for configuration are:
-!MESSAGE 
-!MESSAGE "enet - Win32 Release" (based on "Win32 (x86) Static Library")
-!MESSAGE "enet - Win32 Debug" (based on "Win32 (x86) Static Library")
-!MESSAGE 
-
-# Begin Project
-# PROP AllowPerConfigDependencies 0
-# PROP Scc_ProjName ""
-# PROP Scc_LocalPath ""
-CPP=cl.exe
-RSC=rc.exe
-
-!IF  "$(CFG)" == "enet - Win32 Release"
-
-# PROP BASE Use_MFC 0
-# PROP BASE Use_Debug_Libraries 0
-# PROP BASE Output_Dir "Release"
-# PROP BASE Intermediate_Dir "Release"
-# PROP BASE Target_Dir ""
-# PROP Use_MFC 0
-# PROP Use_Debug_Libraries 0
-# PROP Output_Dir "Release"
-# PROP Intermediate_Dir "Release"
-# PROP Target_Dir ""
-MTL=midl.exe
-# ADD BASE CPP /nologo /W3 /GX /O2 /D "WIN32" /D "NDEBUG" /D "_MBCS" /D "_LIB" /YX /FD /c
-# ADD CPP /nologo /W3 /O2 /I "include" /D "WIN32" /D "NDEBUG" /D "_MBCS" /D "_LIB" /FD /c
-# SUBTRACT CPP /YX
-# ADD BASE RSC /l 0x409 /d "NDEBUG"
-# ADD RSC /l 0x409 /d "NDEBUG"
-BSC32=bscmake.exe
-# ADD BASE BSC32 /nologo
-# ADD BSC32 /nologo
-LIB32=link.exe -lib
-# ADD BASE LIB32 /nologo
-# ADD LIB32 /nologo
-
-!ELSEIF  "$(CFG)" == "enet - Win32 Debug"
-
-# PROP BASE Use_MFC 0
-# PROP BASE Use_Debug_Libraries 1
-# PROP BASE Output_Dir "Debug"
-# PROP BASE Intermediate_Dir "Debug"
-# PROP BASE Target_Dir ""
-# PROP Use_MFC 0
-# PROP Use_Debug_Libraries 1
-# PROP Output_Dir "Debug"
-# PROP Intermediate_Dir "Debug"
-# PROP Target_Dir ""
-MTL=midl.exe
-# ADD BASE CPP /nologo /W3 /Gm /GX /ZI /Od /D "WIN32" /D "_DEBUG" /D "_MBCS" /D "_LIB" /YX /FD /GZ /c
-# ADD CPP /nologo /G6 /MTd /W3 /ZI /Od /I "include" /D "WIN32" /D "_DEBUG" /D "_MBCS" /D "_LIB" /FR /FD /GZ /c
-# SUBTRACT CPP /YX
-# ADD BASE RSC /l 0x409 /d "_DEBUG"
-# ADD RSC /l 0x409 /d "_DEBUG"
-BSC32=bscmake.exe
-# ADD BASE BSC32 /nologo
-# ADD BSC32 /nologo
-LIB32=link.exe -lib
-# ADD BASE LIB32 /nologo
-# ADD LIB32 /nologo
-
-!ENDIF 
-
-# Begin Target
-
-# Name "enet - Win32 Release"
-# Name "enet - Win32 Debug"
-# Begin Group "Source Files"
-
-# PROP Default_Filter "cpp;c;cxx;rc;def;r;odl;idl;hpj;bat"
-# Begin Source File
-
-SOURCE=.\host.c
-# End Source File
-# Begin Source File
-
-SOURCE=.\list.c
-# End Source File
-# Begin Source File
-
-SOURCE=.\callbacks.c
-# End Source File
-# Begin Source File
-
-SOURCE=.\compress.c
-# End Source File
-# Begin Source File
-
-SOURCE=.\packet.c
-# End Source File
-# Begin Source File
-
-SOURCE=.\peer.c
-# End Source File
-# Begin Source File
-
-SOURCE=.\protocol.c
-# End Source File
-# Begin Source File
-
-SOURCE=.\unix.c
-# End Source File
-# Begin Source File
-
-SOURCE=.\win32.c
-# End Source File
-# End Group
-# Begin Group "Header Files"
-
-# PROP Default_Filter "h;hpp;hxx;hm;inl"
-# Begin Source File
-
-SOURCE=.\include\enet\enet.h
-# End Source File
-# Begin Source File
-
-SOURCE=.\include\enet\list.h
-# End Source File
-# Begin Source File
-
-SOURCE=.\include\enet\callbacks.h
-# End Source File
-# Begin Source File
-
-SOURCE=.\include\enet\protocol.h
-# End Source File
-# Begin Source File
-
-SOURCE=.\include\enet\time.h
-# End Source File
-# Begin Source File
-
-SOURCE=.\include\enet\types.h
-# End Source File
-# Begin Source File
-
-SOURCE=.\include\enet\unix.h
-# End Source File
-# Begin Source File
-
-SOURCE=.\include\enet\utility.h
-# End Source File
-# Begin Source File
-
-SOURCE=.\include\enet\win32.h
-# End Source File
-# End Group
-# End Target
-# End Project
Index: code/branches/ipv6/src/external/enet/enet_dll.cbp
===================================================================
--- code/branches/ipv6/src/external/enet/enet_dll.cbp	(revision 7381)
+++ 	(revision )
@@ -1,86 +1,0 @@
-<?xml version="1.0" encoding="UTF-8" standalone="yes" ?>
-<CodeBlocks_project_file>
-	<FileVersion major="1" minor="6" />
-	<Project>
-		<Option title="enet_dll" />
-		<Option pch_mode="2" />
-		<Option compiler="gcc" />
-		<Build>
-			<Target title="Debug">
-				<Option output="bin\Debug\libenet" prefix_auto="1" extension_auto="1" />
-				<Option object_output="obj\Debug\" />
-				<Option type="3" />
-				<Option compiler="gcc" />
-				<Option createDefFile="1" />
-				<Option createStaticLib="1" />
-				<Compiler>
-					<Add option="-g" />
-				</Compiler>
-			</Target>
-			<Target title="Release">
-				<Option output="bin\Release\libenet" prefix_auto="1" extension_auto="1" />
-				<Option object_output="obj\Release\" />
-				<Option type="3" />
-				<Option compiler="gcc" />
-				<Option createDefFile="1" />
-				<Option createStaticLib="1" />
-				<Compiler>
-					<Add option="-O2" />
-				</Compiler>
-				<Linker>
-					<Add option="-s" />
-				</Linker>
-			</Target>
-		</Build>
-		<Compiler>
-			<Add option="-Wall" />
-			<Add option="-DENET_DLL" />
-			<Add directory="include" />
-		</Compiler>
-		<Linker>
-			<Add library="ws2_32" />
-			<Add library="Winmm" />
-		</Linker>
-		<Unit filename="callbacks.c">
-			<Option compilerVar="CC" />
-		</Unit>
-		<Unit filename="compress.c">
-			<Option compilerVar="CC" />
-		</Unit>
-		<Unit filename="host.c">
-			<Option compilerVar="CC" />
-		</Unit>
-		<Unit filename="include\enet\callbacks.h" />
-		<Unit filename="include\enet\enet.h" />
-		<Unit filename="include\enet\list.h" />
-		<Unit filename="include\enet\protocol.h" />
-		<Unit filename="include\enet\time.h" />
-		<Unit filename="include\enet\types.h" />
-		<Unit filename="include\enet\unix.h" />
-		<Unit filename="include\enet\utility.h" />
-		<Unit filename="include\enet\win32.h" />
-		<Unit filename="list.c">
-			<Option compilerVar="CC" />
-		</Unit>
-		<Unit filename="packet.c">
-			<Option compilerVar="CC" />
-		</Unit>
-		<Unit filename="peer.c">
-			<Option compilerVar="CC" />
-		</Unit>
-		<Unit filename="protocol.c">
-			<Option compilerVar="CC" />
-		</Unit>
-		<Unit filename="unix.c">
-			<Option compilerVar="CC" />
-		</Unit>
-		<Unit filename="win32.c">
-			<Option compilerVar="CC" />
-		</Unit>
-		<Extensions>
-			<code_completion />
-			<envvars />
-			<debugger />
-		</Extensions>
-	</Project>
-</CodeBlocks_project_file>